Project

General

Profile

  • svn:executable: *

# Date Author Comment
13364 05/01/2014 03:11 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: import_vars: documented that it's idempotent

13352 04/29/2014 11:34 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): support $benign_error properly, by handling exit status logging in this func instead

13350 04/29/2014 10:42 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): need to separately display errors that were incorrectly suppressed due to $benign_error

13349 04/29/2014 10:36 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: is_err(): rethrow must be inverted (rethrow->false if error)

13348 04/29/2014 10:32 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_err()

13342 04/29/2014 09:35 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: stderr_matches(): usage: documented that this may require benign_error=1

13327 04/25/2014 11:36 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: highlight_log_msg(): when not can_highlight_log_msg, need to remove any surrounding formatting

13326 04/25/2014 11:01 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: die_error_hidden(): always log local vars at same log_level as echo_func

13324 04/25/2014 06:27 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: split_lines(): usage: matched up and synced different syntaxes

13323 04/25/2014 06:22 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: log_msg!(): split_lines does not support being invoked by wrapper; need to use `declare lines; wrapper "split_lines" str` instead

13322 04/25/2014 06:21 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: split_lines(): usage: documented different syntax for when using wrapper

13321 04/25/2014 06:09 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: die_error_hidden(): echo_func to assist debugging

13320 04/25/2014 06:07 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: split(): need to limit the effects of IFS to just the splitting, so it doesn't cause strange errors in other functions

13319 04/25/2014 03:20 PM Aaron Marcuse-Kubitza

bugfix: stderr2stdout(): fd 2 must be redirected back to fd 2, not log-filtered, in case there are other errors in addition to the benign error. this fixes a bug in pg_schema_exists(), where errors about the DB being down were not displayed because they were log-filtered out.

13278 04/22/2014 04:45 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: `type` calls: need -- before cmd in case it starts with -

13277 04/22/2014 04:44 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: cmd2rel_path: use is_extern()

13275 04/22/2014 03:59 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: try: usage: added location of finally block

13271 04/21/2014 08:21 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: type(): need to handle options before command name

13270 04/21/2014 08:21 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added 1st_non_opt()

13269 04/21/2014 08:07 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: unalias(): use self_builtin, which is now defined before it

13267 04/21/2014 07:59 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: unalias(): use self_builtin, which is now defined before it

13266 04/21/2014 07:57 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: commands: `type` calls: need to account for the fact that any alias is already expanded

13265 04/21/2014 07:56 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: functions: moved before commands since commands are more complex

13248 04/21/2014 04:20 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: try usage: documented that the split syntax with prep_try is meant to be used with vars before the cmd

13247 04/21/2014 03:37 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: echo_vars(): also need to print unset vars (including unset kw_params)

13246 04/21/2014 03:31 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: echo_vars(): put loop var on same line as `for`

13245 04/21/2014 02:59 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: sudo(): need to preserve PATH separately because -E does not preserve this

13244 04/21/2014 02:17 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: echo_redirs_cmd(): inline the function alias since it's only used in one place

13243 04/21/2014 02:15 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: redir(): need to load new aliases before it

13242 04/21/2014 02:13 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: echo_redirs_cmd(): log $PATH to facilitate troubleshooting

13241 04/21/2014 01:54 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: echo_redirs_cmd(): documented what the $(...) section does

13240 04/21/2014 01:50 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: echo_redirs_cmd(): moved comment about <>file redirs to line that it applies to

13239 04/21/2014 01:47 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: moved echo_redirs_cmd() to right before redir() which uses it

13238 04/21/2014 02:55 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: catch(): log at higher log_level, since this is internal code

13237 04/21/2014 02:43 AM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: die_e(): treat SIGPIPE as benign error

13236 04/21/2014 02:32 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: removed no longer used ignore_sig(). use ignore() instead, which now supports SIG*.

13235 04/21/2014 02:32 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: piped_cmd(): use ignore, which now supports SIG*

13234 04/21/2014 02:31 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: signals: catch(): added echo_func

13233 04/21/2014 02:28 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: set_global_fds(): debug to global stderr in case stderr filtered

13232 04/21/2014 02:26 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: debugging: use configurable debug_fd (set to $err_fd)

13231 04/21/2014 02:13 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: signals: override catch() to support SIG* as exception type

13230 04/21/2014 02:11 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: moved primitives sections before more complex sections that depend on them

13229 04/21/2014 02:07 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: 2nd functions section: moved to 1st functions section

13228 04/21/2014 01:16 AM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: added workaround for bash bug where exit sometimes inxeplicably ignores $?

13227 04/21/2014 01:15 AM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: self_builtin: avoid $() so that $? isn't modified

13226 04/21/2014 01:07 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: use new self_builtin

13225 04/21/2014 01:06 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added self_builtin

13224 04/21/2014 12:50 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: pv(), pf(): moved to debugging section

13223 04/21/2014 12:48 AM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): also need to handle any filter error, such as caused by Ctrl+C

13222 04/21/2014 12:26 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: stderr_matches(): echo_vars @PIPESTATUS_ to assist debugging

13221 04/20/2014 11:37 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr2stdout(): use piped_cmd to ignore SIGPIPE since the output of this will piped to another command

13220 04/20/2014 06:22 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: setup_log_fd(): $log_fd: use 3 (stdlog) since other scripts are likely to use this for logging as well

13219 04/20/2014 06:20 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: setup_log_fd(): fd_set_default(): use $log_fd instead of repeating the value of it

13218 04/20/2014 06:05 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: die(): log at higher log_level, since this is logging code

13217 04/20/2014 06:02 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: highlight_log_msg(): log at higher log_level, since this is logging code

13215 04/20/2014 05:46 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): only set benign_error=1 if the matched error occurred

13214 04/20/2014 05:44 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: ignore_e(): also set benign_error=1

13213 04/20/2014 05:40 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: prep_try alias: removed inaccurate comment

13212 04/20/2014 05:33 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stdout2fd(): moved after redir() which it depends on

13211 04/20/2014 05:24 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: command(): moved `|| die_e` to command__exec so it would be properly indented under the echoed command

13210 04/20/2014 05:12 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: verbosity_compat(): log at higher log_level because it's logging code

13209 04/20/2014 05:10 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: $benign_error: log at higher log_level because it's logging code

13207 04/20/2014 04:55 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: $top_* vars, $is_outermost: log at higher log_level because it's startup code

13206 04/20/2014 04:52 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: $top_script: echo_vars this like the other $top_* vars

13205 04/20/2014 04:50 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: .(): log at higher log_level because it's startup code

13204 04/20/2014 04:45 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: is_dot_script(): run with higher log_level since this is run at the beginning of the script

13203 04/20/2014 04:44 PM Aaron Marcuse-Kubitza

lib/sh/util.sh, runscripts/util.run: set_paths(): run with higher log_level to hide all the paths that are set at the beginning of the script

13202 04/20/2014 04:28 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added log++ stub

13201 04/20/2014 04:22 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added log_local stub

13200 04/20/2014 03:15 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added log() stub so internal commands can use it

13199 04/20/2014 03:10 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: echo_vars(): log at same log_level as echo_func so kw_params are displayed along with positional params

13198 04/20/2014 03:08 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: rel_path(): log this internal command at a higher log_level so it's normally hidden

13197 04/20/2014 02:43 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: log_msg!(): log split_lines at a higher log_level so it's normally hidden

13196 04/19/2014 10:22 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): `log_local; log++` should apply to just stdout_contains() and part of stderr2stdout() rather than all of stderr_matches()

13192 04/19/2014 10:09 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: stderr_matches(): run at higher log_level because error-handling internals should not be logged by default

13190 04/19/2014 10:04 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): handle any error: only ignore_e if the error exit status was associated with the matched error message

13189 04/19/2014 09:57 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): handle any error: need force-exit with rethrow_exit() because caller's test of return status disables errexit

13188 04/19/2014 09:54 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added rethrow_exit(), which exits even where errexit is disabled

13180 04/19/2014 07:11 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: sudo alias: use function instead so this can be overridden

13179 04/19/2014 07:09 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_intern()

13178 04/19/2014 07:07 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: is_callable(): use just $1 because multiple args are not applicable

13177 04/19/2014 07:06 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_world_executable()

13176 04/19/2014 07:06 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added has_perms()

13175 04/19/2014 06:49 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: esc_args(): renamed to just esc() because this can also be used on a single value

13174 04/19/2014 05:51 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_extern()

13173 04/19/2014 10:57 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added sudo alias to alias-expand command

13171 04/19/2014 10:54 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added $sudo

13170 04/19/2014 10:24 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added cp alias

13116 04/10/2014 02:38 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: local_array/export_array: do need -a because that it's an array is apparently not autodetected by the () on Mac

13057 04/07/2014 10:39 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: import_vars: documented that vars already set will not be overwritten

12987 03/30/2014 05:39 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: removed end_try_subshell, which now does the same thing as end_try

12981 03/30/2014 05:03 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: die(): usage: documented that if msg uses $(...), save_e is needed

12980 03/30/2014 04:59 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: already_exists_msg(): need to save_e, because new $(mk_hint) call resets $?

12979 03/30/2014 04:55 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: die(): always errexit even if $e = 0, because die always indicates an error

12978 03/30/2014 04:53 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added rethrow!(), which always errexits, even if $e = 0

12977 03/30/2014 04:53 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow(): also work in situations where $e is not set

12976 03/30/2014 04:50 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow: made it a function since there is now no need for it to be an alias

12975 03/30/2014 04:47 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow: removed `test "$e" != 0` since errexit only does anything if $e != 0

12974 03/30/2014 04:45 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: removed separate rethrow_exit*, rethrow_subshell*, since they now do the same thing as rethrow*

12973 03/30/2014 04:42 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow*!: use new errexit, which works in functions and subshells